%define oname	GeoGebra-Linux-Installer

Name:		geogebra
Version:	4.4.45.0
Release:	%mkrel 1
Summary:	Free mathematics software for learning and teaching
Group:		Sciences/Mathematics
License:	GPLv3+ and CC-BY-SA and CC-BY-NC-SA
URL:		http://www.geogebra.org/
Source:		http://download.geogebra.org/installers/4.4/%{oname}-%{version}.tar.gz
Patch1:		geogebra-4.4.26.0-mga-fix_java_path_and_desktop_file.patch
BuildArch:	noarch
BuildRequires:	desktop-file-utils

Requires:	java >= 1.7.0

%description
This package provides GeoGebra.

GeoGebra is free and multi-platform dynamic mathematics software for all
levels of education that joins geometry, algebra, tables, graphing,
statistics and calculus in one easy-to-use package. It has received
several educational software awards in Europe and the USA.

Quick Facts:

- Graphics, algebra and tables are connected and fully dynamic
- Easy-to-use interface, yet many powerful features
- Authoring tool to create interactive learning materials as web pages
- Available in many languages for our millions of users around the world
- Free and open source software

%prep
%setup -q -n %{name}-%{version}

%apply_patches

mv _license.txt COPYING
chmod 0644 geogebra.desktop

%build

%install
# startscript
mkdir -p %{buildroot}%{_bindir}
install -m 0755 geogebra %{buildroot}%{_bindir}/%{name}

# .jar-repertory
mkdir -p %{buildroot}%{_javadir}/%{name}
install -m 0644 *.jar %{buildroot}%{_javadir}/%{name}/

# mime packages-repertory
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -m 0644 geogebra.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	%{name}.desktop

# icons-repertory .png
for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 256x256; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes
  install -m 0644 icons/hicolor/$SIZE/apps/geogebra.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps/
  install -m 0644 icons/hicolor/$SIZE/mimetypes/*.png %{buildroot}%{_iconsdir}/hicolor/$SIZE/mimetypes/
done

# icons-repertory .svgz
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes
install -m 0644 icons/hicolor/scalable/apps/geogebra.svgz %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 icons/hicolor/scalable/mimetypes/*.svgz %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/

%files
%doc COPYING README
%{_bindir}/%{name}
%{_javadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svgz


%changelog
* Sun Oct 26 2014 daviddavid <daviddavid> 4.4.45.0-1.mga5
+ Revision: 793492
- new version: 4.4.45.0

* Wed Oct 15 2014 umeabot <umeabot> 4.4.43.0-3.mga5.nonfree
+ Revision: 750466
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4.43.0-2.mga5.nonfree
+ Revision: 679500
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 daviddavid <daviddavid> 4.4.43.0-1.mga5.nonfree
+ Revision: 662473
- new version: 4.4.43.0

* Mon Aug 04 2014 daviddavid <daviddavid> 4.4.42.0-1.mga5.nonfree
+ Revision: 659664
- new version: 4.4.42.0

* Wed Jul 09 2014 daviddavid <daviddavid> 4.4.40.0-1.mga5.nonfree
+ Revision: 650941
- new version: 4.4.40.0

* Sun Jun 22 2014 daviddavid <daviddavid> 4.4.38.0-1.mga5.nonfree
+ Revision: 638678
- new version: 4.4.38.0

* Wed Jun 11 2014 daviddavid <daviddavid> 4.4.37.0-1.mga5.nonfree
+ Revision: 635673
- new version: 4.4.37.0

* Thu May 22 2014 daviddavid <daviddavid> 4.4.35.0-1.mga5.nonfree
+ Revision: 625072
- new version: 4.4.35.0

* Sat May 03 2014 daviddavid <daviddavid> 4.4.31.0-1.mga5.nonfree
+ Revision: 619840
- new version: 4.4.31.0

* Thu Apr 17 2014 daviddavid <daviddavid> 4.4.29.0-1.mga5.nonfree
+ Revision: 615444
- new version: 4.4.29.0

* Wed Apr 09 2014 daviddavid <daviddavid> 4.4.27.0-1.mga5.nonfree
+ Revision: 613103
- new version: 4.4.27.0

* Sun Apr 06 2014 dams <dams> 4.4.26.0-3.mga5.nonfree
+ Revision: 612432
- update %%description by removing 'authors'

* Sat Apr 05 2014 daviddavid <daviddavid> 4.4.26.0-2.mga5.nonfree
+ Revision: 612185
- fix license to GPLv3+
- minor cosmetic change

* Sat Apr 05 2014 daviddavid <daviddavid> 4.4.26.0-1.mga5.nonfree
+ Revision: 612164
- fix java path on startscript (Patch1)
- add Russian translation on desktop file (Thanks Alexl)
- new version: 4.4.26.0
- imported package geogebra

